Python pip: “error: Microsoft Visual C++ 14.0 is required”

0 votes

I am getting the error:

error: Microsoft Visual C++ 14.0 is required

When I try to install pycrypto module using the following command:

pip install pycrypto

How to solve this?

Aug 20 in Python by Reshma
177 views

1 answer to this question.

0 votes

Seems like the setup tools for python aren’t up-to-date. Try upgrading them first and then install pycrypto

pip install --upgrade setuptools
pip install pycrypto
answered Aug 20 by Kunal

Related Questions In Python

0 votes
1 answer

Python argparse error "NameError: name 'file' is not defined"

The right datatype for destination in argpasrse module ...READ MORE

answered Nov 28, 2018 in Python by Omkar
• 67,660 points
1,786 views
0 votes
2 answers
0 votes
0 answers

what is a name error in python?

why am i getting a name error ...READ MORE

Mar 7 in Python by anonymous
232 views
0 votes
1 answer

what is a type error in python?

you get a type error when you ...READ MORE

answered Mar 8 in Python by Waseem
• 4,470 points
59 views
+1 vote
2 answers

how can i count the items in a list?

Syntax :            list. count(value) Code: colors = ['red', 'green', ...READ MORE

answered Jul 6 in Python by Neha
• 330 points

edited Jul 8 by Kalgi 330 views
+4 votes
6 answers
0 votes
11 answers
0 votes
1 answer

Which is better if we compare C vs Python?

It depends on what do you expect ...READ MORE

answered Mar 6 in Python by SDeb
• 13,180 points
23 views